## kapman 18.04.1

=== debian/changelog ===
kapman (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:28:55 +0200

kapman (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:54:51 +0100

kapman (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879309)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kapman.install, no more useful now
  * Remove unused build dependencies: libkf5kdelibs4support-dev, libkf5kio-dev,
    libkf5notifyconfig-dev, libkf5windowsystem-dev, libphonon4qt5-dev, and
    libphonon4qt5experimental-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Nov 2017 13:20:37 +0100

kapman (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:58:40 +0000

kapman (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:42 +0000

kapman (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:43 +0000

kapman (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:24 +0000

kapman (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:12:28 +0000

kapman (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:57 +0000

kapman (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:07 +0000

kapman (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:35 +0000

kapman (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:15:47 +0000

kapman (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:32 +0000

kapman (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:34 +0000

kapman (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:48 +0000

kapman (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:38 +0000

kapman (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:39 +0000

kapman (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:17 +0000

kapman (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jul 2016 16:11:58 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

## kapman 18.04.3

=== debian/changelog ===
kapman (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:15:03 +0100

=== debian/control ===
Source: kapman
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:18.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman

Package: kapman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but
 you can eat the ghosts for a few seconds when eating an energizer. You win
 points when eating pills, energizers, and bonus, and you win one life for
 each 10,000 points.  When you have eaten all the pills and energizers of a
 level, you go to the next level, and the player and ghost speeds increase.
 .
 This package is part of the KDE games module.

## kapman 18.12.3

=== debian/changelog ===
kapman (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:26:08 +0000

kapman (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:31 +0000

kapman (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:48 +0000

kapman (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:27 +0000

kapman (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 27 Dec 2018 08:25:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,32 +4,26 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:18.04.3~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5kdegames-dev (>= 4:18.12.3~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libphonon4qt5-dev,
-               libphonon4qt5experimental-dev,
-               libqt5svg5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.7.0~),
+Standards-Version: 4.1.4
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman

## kapman 19.04.3

=== debian/changelog ===
kapman (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:47 +0100

kapman (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:55 +0100

kapman (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:47 +0100

kapman (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:41:11 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>> 0.15.15),

## kapman 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kapman VERSION ${KDE_APPLICATIONS_VERSION})

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Config
    Crash
    DBusAddons
    DocTools
    Config
    I18n
    ConfigWidgets
    XmlGui
    )

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(ECMSetupVersion)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddAppIcon)

add_definitions(
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

add_subdirectory(doc)

set(kapman_SRCS
	bonus.cpp
	cell.cpp
	character.cpp
	characteritem.cpp
	element.cpp
	elementitem.cpp
	energizer.cpp
	game.cpp
	gamescene.cpp
	gameview.cpp
	ghost.cpp
	ghostitem.cpp
	kapman.cpp
	kapmanitem.cpp
	kapmanmainwindow.cpp
	kapmanparser.cpp
	main.cpp
	maze.cpp
	mazeitem.cpp
	pill.cpp
)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KAPMAN VERSION_HEADER kapman_version.h)

file(GLOB themes
	"themes/*.svgz"
	"themes/*.desktop"
	"themes/*.copyright"
	"themes/*.png"
)
file(GLOB sounds_ogg "sounds/*.ogg")

kconfig_add_kcfg_files(kapman_SRCS settings.kcfgc)

ecm_install_icons(ICONS 128-apps-kapman.png  16-apps-kapman.png  22-apps-kapman.png  32-apps-kapman.png  48-apps-kapman.png  64-apps-kapman.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kapman.png")
ecm_add_app_icon(kapman_SRCS ICONS ${ICONS_SRCS})
add_executable(kapman ${kapman_SRCS})

target_link_libraries(kapman 
   KF5KDEGames
   KF5KDEGamesPrivate
   Qt5::Svg
   Qt5::Xml
   KF5::Crash
   KF5::DBusAddons
   KF5::XmlGui
)

install(TARGETS kapman ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kapman.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kapman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kapmanui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kapman)
install(FILES defaultmaze.xml DESTINATION ${KDE_INSTALL_DATADIR}/kapman)
install(FILES ${themes} DESTINATION ${KDE_INSTALL_DATADIR}/kapman/themes)
install(FILES ${sounds_ogg} DESTINATION ${KDE_INSTALL_SOUNDDIR}/kapman)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kapman (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:06:27 +0000

kapman (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:38 +0000

kapman (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:51:36 +0000

kapman (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:45:08 +0000

kapman (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:54 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:19.04.3~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>> 0.15.15),

## kapman 20.08.1

=== debian/changelog ===
kapman (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:34 +0100

kapman (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:44:14 +0100

kapman (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 22:41:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,27 @@
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.30.0~),
+               gettext,
+               libkf5config-dev (>= 5.30.0~),
+               libkf5configwidgets-dev (>= 5.30.0~),
+               libkf5coreaddons-dev (>= 5.30.0~),
+               libkf5crash-dev (>= 5.30.0~),
+               libkf5dbusaddons-dev (>= 5.30.0~),
+               libkf5doctools-dev (>= 5.30.0~),
+               libkf5i18n-dev (>= 5.30.0~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
+               libkf5xmlgui-dev (>= 5.30.0~),
                libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git
 
 Package: kapman
 Architecture: any

## kapman 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(kapman VERSION ${KDE_APPLICATIONS_VERSION})
+project(kapman VERSION ${RELEASE_SERVICE_VERSION})
 
-set (QT_MIN_VERSION "5.7.0")
-set (KF5_MIN_VERSION "5.30.0")
+set (QT_MIN_VERSION "5.10.0")
+set (KF5_MIN_VERSION "5.46.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -38,20 +38,18 @@
 include(ECMAddAppIcon)
 
 add_definitions(
-    -DQT_USE_FAST_CONCATENATION
-    -DQT_USE_FAST_OPERATOR_PLUS
     -DQT_NO_CAST_FROM_ASCII
     -DQT_NO_CAST_TO_ASCII
     -DQT_NO_CAST_FROM_BYTEARRAY
     -DQT_NO_URL_CAST_FROM_STRING
     -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+    -DQT_STRICT_ITERATORS
 )
 if (${KF5Config_VERSION} STRGREATER "5.56.0")
         add_definitions(-DQT_NO_FOREACH)
         MESSAGE(STATUS "compile without foreach")
-endif()
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
 endif()
 
 add_subdirectory(doc)
@@ -79,7 +77,7 @@
 	pill.cpp
 )
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KAPMAN VERSION_HEADER kapman_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KAPMAN VERSION_HEADER kapman_version.h)
 
 file(GLOB themes
 	"themes/*.svgz"
@@ -115,8 +113,7 @@
 install(FILES ${themes} DESTINATION ${KDE_INSTALL_DATADIR}/kapman/themes)
 install(FILES ${sounds_ogg} DESTINATION ${KDE_INSTALL_SOUNDDIR}/kapman)
 
+ki18n_install(po)
+kdoctools_install(po)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== debian/changelog ===
kapman (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.46.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 00:00:36 +0100

=== debian/control ===
--- 
+++ 
@@ -9,22 +9,22 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.30.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.46.0~),
                gettext,
-               libkf5config-dev (>= 5.30.0~),
-               libkf5configwidgets-dev (>= 5.30.0~),
-               libkf5coreaddons-dev (>= 5.30.0~),
-               libkf5crash-dev (>= 5.30.0~),
-               libkf5dbusaddons-dev (>= 5.30.0~),
-               libkf5doctools-dev (>= 5.30.0~),
-               libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
-               libkf5xmlgui-dev (>= 5.30.0~),
-               libqt5svg5-dev (>= 5.7.0~),
+               libkf5config-dev (>= 5.46.0~),
+               libkf5configwidgets-dev (>= 5.46.0~),
+               libkf5coreaddons-dev (>= 5.46.0~),
+               libkf5crash-dev (>= 5.46.0~),
+               libkf5dbusaddons-dev (>= 5.46.0~),
+               libkf5doctools-dev (>= 5.46.0~),
+               libkf5i18n-dev (>= 5.46.0~),
+               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5xmlgui-dev (>= 5.46.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman

## kapman 20.12.3

=== debian/changelog ===
kapman (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:56 +0000

kapman (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:51:21 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.46.0~),
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5xmlgui-dev (>= 5.46.0~),
                libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>> 0.15.15),

## kapman 21.08.0

=== debian/control ===
Source: kapman
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5svg5-dev (>= 5.15.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git

Package: kapman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but
 you can eat the ghosts for a few seconds when eating an energizer. You win
 points when eating pills, energizers, and bonus, and you win one life for
 each 10,000 points.  When you have eaten all the pills and energizers of a
 level, you go to the next level, and the player and ghost speeds increase.
 .
 This package is part of the KDE games module.

## kapman 21.08.1

=== debian/changelog ===
kapman (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:31:20 +0100

kapman (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:59:35 +0100

kapman (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:52:19 +0100

kapman (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:36 +0100

kapman (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:40:26 +0100

kapman (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:36:49 +0100

kapman (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:03:36 +0100

kapman (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: kapman
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
+           Eshat Cakar <info@eshat.de>,
+           Maximiliano Curia <maxy@debian.org>,
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.46.0~),
                gettext,
-               libkf5config-dev (>= 5.83.0~),
-               libkf5configwidgets-dev (>= 5.83.0~),
-               libkf5coreaddons-dev (>= 5.83.0~),
-               libkf5crash-dev (>= 5.83.0~),
-               libkf5dbusaddons-dev (>= 5.83.0~),
-               libkf5doctools-dev (>= 5.83.0~),
-               libkf5i18n-dev (>= 5.83.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
-               libkf5xmlgui-dev (>= 5.83.0~),
-               libqt5svg5-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.46.0~),
+               libkf5configwidgets-dev (>= 5.46.0~),
+               libkf5coreaddons-dev (>= 5.46.0~),
+               libkf5crash-dev (>= 5.46.0~),
+               libkf5dbusaddons-dev (>= 5.46.0~),
+               libkf5doctools-dev (>= 5.46.0~),
+               libkf5i18n-dev (>= 5.46.0~),
+               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5xmlgui-dev (>= 5.46.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/

## kapman 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kapman VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.85.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Config
    Crash
    DBusAddons
    DocTools
    Config
    I18n
    ConfigWidgets
    XmlGui
    )

find_package(KF5KDEGames 7.3.0 REQUIRED)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(themes)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kapman (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:07:49 +0000

kapman (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:14:20 +0000

kapman (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:22:11 +0000

kapman (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:19:06 +0000

kapman (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:03:09 +0000

kapman (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:14:32 +0000

kapman (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:43 +0000

kapman (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:37:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kapman
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -19,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.46.0~),
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5xmlgui-dev (>= 5.46.0~),
                libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>> 0.15.15),
@@ -27,8 +28,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
 
 Package: kapman
 Architecture: any

## kapman 22.08.1

=== debian/changelog ===
kapman (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:19 +0100

kapman (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:29 +0100

kapman (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:51 +0100

kapman (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:42 +0100

kapman (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:55:48 +0100

kapman (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:45:12 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.46.0~),
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5xmlgui-dev (>= 5.46.0~),
                libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>> 0.15.15),

## kapman 22.12.3

=== debian/changelog ===
kapman (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:12 +0100

kapman (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:59:53 +0100

kapman (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:24 +0100

kapman (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:48:00 +0900

kapman (4:21.04.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Fix up libkf5kdegames-dev version.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 17:13:23 +0900

kapman (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 14:22:05 +0900

=== debian/control ===
Source: kapman
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git

Package: kapman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but
 you can eat the ghosts for a few seconds when eating an energizer. You win
 points when eating pills, energizers, and bonus, and you win one life for
 each 10,000 points.  When you have eaten all the pills and energizers of a
 level, you go to the next level, and the player and ghost speeds increase.
 .
 This package is part of the KDE games module.

## kapman 23.08.0

=== debian/changelog ===
kapman (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:51:29 +0100

kapman (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:31:27 +0100

kapman (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:52 +0100

kapman (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:46 +0100

kapman (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:35:34 +0000

kapman (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:12:45 -0600

kapman (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:12:27 +0000

kapman (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 19:03:43 +0000

kapman (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:06:32 +0000

kapman (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:58 +0000

kapman (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:48:29 +0000

kapman (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:06:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kapman
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -17,23 +18,23 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
 
 Package: kapman
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: khelpcenter,
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Pac-Man clone
  Kapman is a clone of the well known game Pac-Man. You must go through the
  levels escaping ghosts in a maze. You lose a life when a ghost eats you, but

## kapman 23.08.1

=== debian/changelog ===
kapman (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:56:36 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5xmlgui-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>> 0.15.15),

## kapman 23.08.4

=== debian/changelog ===
kapman (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:50 +0000

kapman (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:32:12 +0000

kapman (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:28:29 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5xmlgui-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>> 0.15.15),
